org.apache.poi.ss.usermodel

## Interface PrintSetup

- All Known Implementing Classes:
    HSSFPrintSetup, XSSFPrintSetup

      public interface PrintSetup

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `A3_PAPERSIZE` A3 - 297x420 mm
    `static short` | `A4_EXTRA_PAPERSIZE` A4 Extra - 9.27 x 12.69 in
    `static short` | `A4_PAPERSIZE` A4 - 210x297 mm
    `static short` | `A4_PLUS_PAPERSIZE` A4 Plus - 210x330 mm
    `static short` | `A4_ROTATED_PAPERSIZE` A4 Rotated - 297x210 mm
    `static short` | `A4_SMALL_PAPERSIZE` A4 Small - 210x297 mm
    `static short` | `A4_TRANSVERSE_PAPERSIZE` A4 Transverse - 210x297 mm
    `static short` | `A5_PAPERSIZE` A5 - 148x210 mm
    `static short` | `B4_PAPERSIZE` B4 (JIS) 250x354 mm
    `static short` | `B5_PAPERSIZE` B5 (JIS) 182x257 mm
    `static short` | `ELEVEN_BY_SEVENTEEN_PAPERSIZE` 11 x 17 in
    `static short` | `ENVELOPE_10_PAPERSIZE` US Envelope #10 4 1/8 x 9 1/2
    `static short` | `ENVELOPE_9_PAPERSIZE` US Envelope #9 3 7/8 x 8 7/8
    `static short` | `ENVELOPE_C3_PAPERSIZE` Envelope C3 324x458 mm
    `static short` | `ENVELOPE_C4_PAPERSIZE` Envelope C4 229x324 mm
    `static short` | `ENVELOPE_C5_PAPERSIZE`
    `static short` | `ENVELOPE_C6_PAPERSIZE` Envelope C6 114x162 mm
    `static short` | `ENVELOPE_CS_PAPERSIZE` Envelope C5 162x229 mm
    `static short` | `ENVELOPE_DL_PAPERSIZE` Envelope DL 110x220 mm
    `static short` | `ENVELOPE_MONARCH_PAPERSIZE`
    `static short` | `EXECUTIVE_PAPERSIZE` US Executive 7 1/4 x 10 1/2 in
    `static short` | `FOLIO8_PAPERSIZE` Folio 8 1/2 x 13 in
    `static short` | `LEDGER_PAPERSIZE` US Ledger 17 x 11 in
    `static short` | `LEGAL_PAPERSIZE` US Legal 8 1/2 x 14 in
    `static short` | `LETTER_PAPERSIZE` US Letter 8 1/2 x 11 in
    `static short` | `LETTER_ROTATED_PAPERSIZE` US Letter Rotated 11 x 8 1/2 in
    `static short` | `LETTER_SMALL_PAGESIZE` US Letter Small 8 1/2 x 11 in
    `static short` | `NOTE8_PAPERSIZE` US Note 8 1/2 x 11 in
    `static short` | `PRINTER_DEFAULT_PAPERSIZE` Whatever the printer's default paper size is
    `static short` | `QUARTO_PAPERSIZE` Quarto 215x275 mm
    `static short` | `STATEMENT_PAPERSIZE` US Statement 5 1/2 x 8 1/2 in
    `static short` | `TABLOID_PAPERSIZE` US Tabloid 11 x 17 in
    `static short` | `TEN_BY_FOURTEEN_PAPERSIZE` 10 x 14 in

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getCopies()` Returns the number of copies.
    `boolean` | `getDraft()` Returns the draft mode.
    `short` | `getFitHeight()` Returns the number of pages high to fit the sheet in.
    `short` | `getFitWidth()` Returns the number of pages wide to fit sheet in.
    `double` | `getFooterMargin()` Returns the footer margin.
    `double` | `getHeaderMargin()` Returns the header margin.
    `short` | `getHResolution()` Returns the horizontal resolution.
    `boolean` | `getLandscape()` Returns the landscape mode.
    `boolean` | `getLeftToRight()` Returns the left to right print order.
    `boolean` | `getNoColor()` Returns the black and white setting.
    `boolean` | `getNoOrientation()` Returns the no orientation.
    `boolean` | `getNotes()` Returns the print notes.
    `short` | `getPageStart()` Returns the page start.
    `short` | `getPaperSize()` Returns the paper size.
    `short` | `getScale()` Returns the scale.
    `boolean` | `getUsePage()` Returns the use page numbers.
    `boolean` | `getValidSettings()` Returns the valid settings.
    `short` | `getVResolution()` Returns the vertical resolution.
    `void` | `setCopies(short copies)` Sets the number of copies.
    `void` | `setDraft(boolean d)` Set whether it is in draft mode
    `void` | `setFitHeight(short height)` Set the number of pages high to fit the sheet in
    `void` | `setFitWidth(short width)` Set the number of pages wide to fit the sheet in
    `void` | `setFooterMargin(double footermargin)` Sets the footer margin.
    `void` | `setHeaderMargin(double headermargin)` Sets the header margin.
    `void` | `setHResolution(short resolution)` Sets the horizontal resolution.
    `void` | `setLandscape(boolean ls)` Set whether to print in landscape
    `void` | `setLeftToRight(boolean ltor)` Set whether to go left to right or top down in ordering
    `void` | `setNoColor(boolean mono)` Set whether it is black and white
    `void` | `setNoOrientation(boolean orientation)` Set no orientation.
    `void` | `setNotes(boolean printnotes)` Print the include notes
    `void` | `setPageStart(short start)` Set the page numbering start.
    `void` | `setPaperSize(short size)` Set the paper size.
    `void` | `setScale(short scale)` Set the scale.
    `void` | `setUsePage(boolean page)` Set whether to use page start
    `void` | `setValidSettings(boolean valid)` Valid settings.
    `void` | `setVResolution(short resolution)` Sets the vertical resolution.

- - ### Field Detail

    - #### PRINTER_DEFAULT_PAPERSIZE

          static final short PRINTER_DEFAULT_PAPERSIZE

      Whatever the printer's default paper size is
      See Also:
        Constant Field Values

    - #### LETTER_PAPERSIZE

          static final short LETTER_PAPERSIZE

      US Letter 8 1/2 x 11 in
      See Also:
        Constant Field Values

    - #### LETTER_SMALL_PAGESIZE

          static final short LETTER_SMALL_PAGESIZE

      US Letter Small 8 1/2 x 11 in
      See Also:
        Constant Field Values

    - #### TABLOID_PAPERSIZE

          static final short TABLOID_PAPERSIZE

      US Tabloid 11 x 17 in
      See Also:
        Constant Field Values

    - #### LEDGER_PAPERSIZE

          static final short LEDGER_PAPERSIZE

      US Ledger 17 x 11 in
      See Also:
        Constant Field Values

    - #### LEGAL_PAPERSIZE

          static final short LEGAL_PAPERSIZE

      US Legal 8 1/2 x 14 in
      See Also:
        Constant Field Values

    - #### STATEMENT_PAPERSIZE

          static final short STATEMENT_PAPERSIZE

      US Statement 5 1/2 x 8 1/2 in
      See Also:
        Constant Field Values

    - #### EXECUTIVE_PAPERSIZE

          static final short EXECUTIVE_PAPERSIZE

      US Executive 7 1/4 x 10 1/2 in
      See Also:
        Constant Field Values

    - #### A3_PAPERSIZE

          static final short A3_PAPERSIZE

      A3 - 297x420 mm
      See Also:
        Constant Field Values

    - #### A4_PAPERSIZE

          static final short A4_PAPERSIZE

      A4 - 210x297 mm
      See Also:
        Constant Field Values

    - #### A4_SMALL_PAPERSIZE

          static final short A4_SMALL_PAPERSIZE

      A4 Small - 210x297 mm
      See Also:
        Constant Field Values

    - #### A5_PAPERSIZE

          static final short A5_PAPERSIZE

      A5 - 148x210 mm
      See Also:
        Constant Field Values

    - #### B4_PAPERSIZE

          static final short B4_PAPERSIZE

      B4 (JIS) 250x354 mm
      See Also:
        Constant Field Values

    - #### B5_PAPERSIZE

          static final short B5_PAPERSIZE

      B5 (JIS) 182x257 mm
      See Also:
        Constant Field Values

    - #### FOLIO8_PAPERSIZE

          static final short FOLIO8_PAPERSIZE

      Folio 8 1/2 x 13 in
      See Also:
        Constant Field Values

    - #### QUARTO_PAPERSIZE

          static final short QUARTO_PAPERSIZE

      Quarto 215x275 mm
      See Also:
        Constant Field Values

    - #### TEN_BY_FOURTEEN_PAPERSIZE

          static final short TEN_BY_FOURTEEN_PAPERSIZE

      10 x 14 in
      See Also:
        Constant Field Values

    - #### ELEVEN_BY_SEVENTEEN_PAPERSIZE

          static final short ELEVEN_BY_SEVENTEEN_PAPERSIZE

      11 x 17 in
      See Also:
        Constant Field Values

    - #### NOTE8_PAPERSIZE

          static final short NOTE8_PAPERSIZE

      US Note 8 1/2 x 11 in
      See Also:
        Constant Field Values

    - #### ENVELOPE_9_PAPERSIZE

          static final short ENVELOPE_9_PAPERSIZE

      US Envelope #9 3 7/8 x 8 7/8
      See Also:
        Constant Field Values

    - #### ENVELOPE_10_PAPERSIZE

          static final short ENVELOPE_10_PAPERSIZE

      US Envelope #10 4 1/8 x 9 1/2
      See Also:
        Constant Field Values

    - #### ENVELOPE_DL_PAPERSIZE

          static final short ENVELOPE_DL_PAPERSIZE

      Envelope DL 110x220 mm
      See Also:
        Constant Field Values

    - #### ENVELOPE_CS_PAPERSIZE

          static final short ENVELOPE_CS_PAPERSIZE

      Envelope C5 162x229 mm
      See Also:
        Constant Field Values

    - #### ENVELOPE_C5_PAPERSIZE

          static final short ENVELOPE_C5_PAPERSIZE

      See Also:
        Constant Field Values

    - #### ENVELOPE_C3_PAPERSIZE

          static final short ENVELOPE_C3_PAPERSIZE

      Envelope C3 324x458 mm
      See Also:
        Constant Field Values

    - #### ENVELOPE_C4_PAPERSIZE

          static final short ENVELOPE_C4_PAPERSIZE

      Envelope C4 229x324 mm
      See Also:
        Constant Field Values

    - #### ENVELOPE_C6_PAPERSIZE

          static final short ENVELOPE_C6_PAPERSIZE

      Envelope C6 114x162 mm
      See Also:
        Constant Field Values

    - #### ENVELOPE_MONARCH_PAPERSIZE

          static final short ENVELOPE_MONARCH_PAPERSIZE

      See Also:
        Constant Field Values

    - #### A4_EXTRA_PAPERSIZE

          static final short A4_EXTRA_PAPERSIZE

      A4 Extra - 9.27 x 12.69 in
      See Also:
        Constant Field Values

    - #### A4_TRANSVERSE_PAPERSIZE

          static final short A4_TRANSVERSE_PAPERSIZE

      A4 Transverse - 210x297 mm
      See Also:
        Constant Field Values

    - #### A4_PLUS_PAPERSIZE

          static final short A4_PLUS_PAPERSIZE

      A4 Plus - 210x330 mm
      See Also:
        Constant Field Values

    - #### LETTER_ROTATED_PAPERSIZE

          static final short LETTER_ROTATED_PAPERSIZE

      US Letter Rotated 11 x 8 1/2 in
      See Also:
        Constant Field Values

    - #### A4_ROTATED_PAPERSIZE

          static final short A4_ROTATED_PAPERSIZE

      A4 Rotated - 297x210 mm
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setPaperSize

          void setPaperSize(short size)

      Set the paper size.
      Parameters:
        `size` - the paper size.

    - #### setScale

          void setScale(short scale)

      Set the scale.
      Parameters:
        `scale` - the scale to use

    - #### setPageStart

          void setPageStart(short start)

      Set the page numbering start.
      Parameters:
        `start` - the page numbering start

    - #### setFitWidth

          void setFitWidth(short width)

      Set the number of pages wide to fit the sheet in
      Parameters:
        `width` - the number of pages

    - #### setFitHeight

          void setFitHeight(short height)

      Set the number of pages high to fit the sheet in
      Parameters:
        `height` - the number of pages

    - #### setLeftToRight

          void setLeftToRight(boolean ltor)

      Set whether to go left to right or top down in ordering
      Parameters:
        `ltor` - left to right

    - #### setLandscape

          void setLandscape(boolean ls)

      Set whether to print in landscape
      Parameters:
        `ls` - landscape

    - #### setValidSettings

          void setValidSettings(boolean valid)

      Valid settings. I'm not for sure.
      Parameters:
        `valid` - Valid

    - #### setNoColor

          void setNoColor(boolean mono)

      Set whether it is black and white
      Parameters:
        `mono` - Black and white

    - #### setDraft

          void setDraft(boolean d)

      Set whether it is in draft mode
      Parameters:
        `d` - draft

    - #### setNotes

          void setNotes(boolean printnotes)

      Print the include notes
      Parameters:
        `printnotes` - print the notes

    - #### setNoOrientation

          void setNoOrientation(boolean orientation)

      Set no orientation. ?
      Parameters:
        `orientation` - Orientation.

    - #### setUsePage

          void setUsePage(boolean page)

      Set whether to use page start
      Parameters:
        `page` - Use page start

    - #### setHResolution

          void setHResolution(short resolution)

      Sets the horizontal resolution.
      Parameters:
        `resolution` - horizontal resolution

    - #### setVResolution

          void setVResolution(short resolution)

      Sets the vertical resolution.
      Parameters:
        `resolution` - vertical resolution

    - #### setHeaderMargin

          void setHeaderMargin(double headermargin)

      Sets the header margin.
      Parameters:
        `headermargin` - header margin

    - #### setFooterMargin

          void setFooterMargin(double footermargin)

      Sets the footer margin.
      Parameters:
        `footermargin` - footer margin

    - #### setCopies

          void setCopies(short copies)

      Sets the number of copies.
      Parameters:
        `copies` - number of copies

    - #### getPaperSize

          short getPaperSize()

      Returns the paper size.
      Returns:
        paper size

    - #### getScale

          short getScale()

      Returns the scale.
      Returns:
        scale

    - #### getPageStart

          short getPageStart()

      Returns the page start.
      Returns:
        page start

    - #### getFitWidth

          short getFitWidth()

      Returns the number of pages wide to fit sheet in.
      Returns:
        number of pages wide to fit sheet in

    - #### getFitHeight

          short getFitHeight()

      Returns the number of pages high to fit the sheet in.
      Returns:
        number of pages high to fit the sheet in

    - #### getLeftToRight

          boolean getLeftToRight()

      Returns the left to right print order.
      Returns:
        left to right print order

    - #### getLandscape

          boolean getLandscape()

      Returns the landscape mode.
      Returns:
        landscape mode

    - #### getValidSettings

          boolean getValidSettings()

      Returns the valid settings.
      Returns:
        valid settings

    - #### getNoColor

          boolean getNoColor()

      Returns the black and white setting.
      Returns:
        black and white setting

    - #### getDraft

          boolean getDraft()

      Returns the draft mode.
      Returns:
        draft mode

    - #### getNotes

          boolean getNotes()

      Returns the print notes.
      Returns:
        print notes

    - #### getNoOrientation

          boolean getNoOrientation()

      Returns the no orientation.
      Returns:
        no orientation

    - #### getUsePage

          boolean getUsePage()

      Returns the use page numbers.
      Returns:
        use page numbers

    - #### getHResolution

          short getHResolution()

      Returns the horizontal resolution.
      Returns:
        horizontal resolution

    - #### getVResolution

          short getVResolution()

      Returns the vertical resolution.
      Returns:
        vertical resolution

    - #### getHeaderMargin

          double getHeaderMargin()

      Returns the header margin.
      Returns:
        header margin

    - #### getFooterMargin

          double getFooterMargin()

      Returns the footer margin.
      Returns:
        footer margin

    - #### getCopies

          short getCopies()

      Returns the number of copies.
      Returns:
        number of copies

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.